Installing PostgreSQL 9.3, PostGIS 2.1 and PgRouting

Geeessoft

Registered
Mar 22, 2015
2
0
1
India
cPanel Access Level
Root Administrator
Hi,

I tried installing the Postgresql using scripts/installpostgresql, this installed postgresql 8.4. But I want Postgresql 9.3 with PostGIS 2.1 for my website. I tried installing the 9.3 directly using Yum, but it is not accessible through WHM or Cpanel.

Can you guide me how to install?
 

24x7ss

Well-Known Member
Sep 30, 2014
272
17
68
India
cPanel Access Level
Root Administrator
Twitter
Hi,

You won't be able to install it using cPanel script as it is not supported by cPanel. As you have installed it manually, it won't show up in WHM as well. Either you need to use default version supported by cPanel so you can have gui for it or you will need to manage it from CLI only if you install other version.